» Home
  Operating System Compatibility

Minimum system requirements to run CADWorx Plant Design Suite are those recommended for the version of AutoCAD (or Autodesk vertical product) that you have chosen to use as your design platform. Refer to the applicable Autodesk Product System Requirements on the Autodesk website. For fieldPipe specific installation requirements refer to the product installation guide.

Note:
The compatibility details that follow refer to the CADWorx fieldPipe 2016 released version.

Compatible with the following versions of AutoCAD:

  • AutoCAD 2016 (64 bit)
  • AutoCAD 2015 (64 bit)
  • AutoCAD 2014 (64 bit)
  • AutoCAD 2013 (64 bit)

Not compatible with the following versions of AutoCAD:

  • AutoCAD 2017 (64 bit) or newer

Compatible with the following Windows Operating Systems:

  • Windows 7

Not compatible with the following Windows Operating Systems:

Windows 8, 10, or newer



  fieldPipe Success Stories
"We greatly improved our corporate image among clients using 3D modeling technologies."
Emmanuel Vega,
Engineer at Maja Consulting Group

Read Details

Other fieldPipe Success Stories